/* global angular, random */
angular.module("app").config([
    '$stateProvider',
    function ($stateProvider) {
        $stateProvider.state('main.isapi_config', {
            url: '/hikvision/isapi-config',
            templateUrl: 'templates/hikvision/isapi-config.html' + random,
            controller: 'IsapiConfigCtrl',
            resolve: {
                loadMyCtrl: [
                    '$ocLazyLoad',
                    function ($ocLazyLoad) {
                        return $ocLazyLoad.load([
                            'js/controllers/hikvision-controllers.js' + random,
                            'js/services/hikvision-services.js' + random
                        ]);
                    }
                ]
            }
        });
    }
]);